Get Tax For Tax Class
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/taxes/tax-classes/{taxClassId}/{companyId}/{departureCountryISO}/{shipmentCountryISO} \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/taxes/tax-classes/{taxClassId}/{companyId}/{departureCountryISO}/{shipmentCountryISO}"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/taxes/tax-classes/{taxClassId}/{companyId}/{departureCountryISO}/{shipmentCountryISO}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"rate": 123,
"taxClassId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"departureCountryISO": "<string>",
"shipmentCountryISO": "<string>"
}{
"errorCode": "<string>",
"validationErrors": {},
"errors": {},
"errorMessage": "<string>",
"stacktrace": "<string>"
}Tax
Get Tax For Tax Class
Returns the tax rate for the given tax class.
GET
/
v2
/
taxes
/
tax-classes
/
{taxClassId}
/
{companyId}
/
{departureCountryISO}
/
{shipmentCountryISO}
Get Tax For Tax Class
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The Company-Id (int or uuid) of the company on whose behalf the request is executed.
The tenant ID for the target ERP instance.
Path Parameters
Country ISO code of the source country.
Country ISO code of the target country.
The ID of the tax class to return.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
The ID of the company to return. Represents a key for identifying a firm within the application.
Example:
"b45f6432-2462-4c6f-b00f-1d9d01000000"
Query Parameters
The tax number of the customer.
The country ISO code of the invoice.
The state in the country of the invoice.
The state in the target country.
Response
The tax rate for the given tax class.
Was this page helpful?